From a2c6c892aae6b28bbb03adc1bb5ffe32f1eea17e Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Wed, 14 Aug 2024 03:47:43 +0800
Subject: [PATCH] Unbreak build with gcc on macOS

---
 src/codecs/music_opus.c    | 2 +-
 src/codecs/music_wavpack.c | 2 +-
 src/codecs/music_xmp.c     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/codecs/music_opus.c b/src/codecs/music_opus.c
index ce394445..58ae3308 100644
--- src/codecs/music_opus.c
+++ src/codecs/music_opus.c
@@ -60,11 +60,11 @@ static opus_loader opus;
     if (opus.FUNC == NULL) { Mix_SetError("Missing opus.framework"); return -1; }
 #endif
 
-static int OPUS_Load(void)
 #ifdef __APPLE__
     /* Need to turn off optimizations so weak framework load check works */
     __attribute__ ((optnone))
 #endif
+static int OPUS_Load(void)
 {
     if (opus.loaded == 0) {
 #ifdef OPUS_DYNAMIC
diff --git a/src/codecs/music_wavpack.c b/src/codecs/music_wavpack.c
index fc9a1042..60d6f8c2 100644
--- src/codecs/music_wavpack.c
+++ src/codecs/music_wavpack.c
@@ -96,11 +96,11 @@ static wavpack_loader wvpk;
     if (wvpk.FUNC == NULL) { Mix_SetError("Missing wavpack.framework"); return -1; }
 #endif
 
-static int WAVPACK_Load(void)
 #ifdef __APPLE__
     /* Need to turn off optimizations so weak framework load check works */
     __attribute__ ((optnone))
 #endif
+static int WAVPACK_Load(void)
 {
     if (wvpk.loaded == 0) {
 #ifdef WAVPACK_DYNAMIC
diff --git a/src/codecs/music_xmp.c b/src/codecs/music_xmp.c
index 3aeaf9c2..93a8632a 100644
--- src/codecs/music_xmp.c
+++ src/codecs/music_xmp.c
@@ -76,11 +76,11 @@ static xmp_loader libxmp;
     if (libxmp.FUNC == NULL) { Mix_SetError("Missing xmp.framework"); return -1; }
 #endif
 
-static int XMP_Load(void)
 #ifdef __APPLE__
     /* Need to turn off optimizations so weak framework load check works */
     __attribute__ ((optnone))
 #endif
+static int XMP_Load(void)
 {
     if (libxmp.loaded == 0) {
 #ifdef XMP_DYNAMIC
